Get OAuth Application
Get OAuth application details.
Endpoint
GET /api/v1/organizations/{org_id}/oauth-applications/{app_id}
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <access_token> |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
org_id | integer | Yes | Organization ID |
app_id | integer | Yes | Application ID |
Response
Success (200)
{
"success": true,
"data": {
"id": 1,
"name": "My OAuth App",
"description": "Application description",
"client_id": "550e8400-e29b-41d4-a716-446655440000",
"grant_types": ["authorization_code"],
"redirect_uris": ["https://myapp.com/callback"],
"scopes": ["read", "write"],
"access_level": "organization",
"status": "active",
"created_at": "2024-01-01T12:00:00Z",
"last_used_at": "2024-01-15T10:30:00Z",
"message": "OAuth application retrieved successfully"
},
"message": "OAuth application retrieved successfully"
}
Error (404)
{
"success": false,
"error": {
"code": "application_not_found",
"message": "Application not found"
}
}
Features
- Returns full application details
- Client secret is never shown (only at creation)
- Only accessible by organization admins
Example
curl -X GET "https://api.rivergen.com/api/v1/organizations/1/oauth-applications/1" \
-H "Authorization: Bearer <access_token>"
Related Endpoints
- Update Application - Update application
- List Applications - List all applications